
#include "bpprobj.h"

BppRefObject::BppRefObject()
:_refCnt(0)
{
}

BppRefObject::BppRefObject(const BppRefObject&)
:_refCnt(0)
{
}

BppRefObject::~BppRefObject()
{
	_refCnt = 0;
}

/**
Function decrements reference counter. If value lower than one (i.e. no more references exist)
object will be deleted.
@return number of remaining references
*/
long BppRefObject::release()
{
   if (--_refCnt > 0)
      return _refCnt;
   delete this;
   
   return 0;
}

