
#ifndef _PLATFORM_ANSIC_H
#define _PLATFORM_ANSIC_H

#include <stdlib.h>
#define MALLOC(s) malloc(s)
#define REALLOC(p,s) realloc((p),(s))
#define FREE(p) free(p)

#include <ctype.h>
#define TOUPPER(c) toupper(c)
#define ISALNUM(c) isalnum(c)
#define ISALPHA(c) isalpha(c)
#define ISBLANK(c) isspace(c)
#define ISCNTRL(c) iscntrl(c)
#define ISDIGIT(c) isdigit(c)
#define ISGRAPH(c) isgraph(c)
#define ISLOWER(c) islower(c)
#define ISPRINT(c) isprint(c)
#define ISPUNCT(c) ispunct(c)
#define ISSPACE(c) isspace(c)
#define ISUPPER(c) isupper(c)
#define ISXDIGIT(c) isxdigit(c)

#if 0
#include <wchar.h>
#ifndef _SCO_DS
#include <wctype.h>
#endif
#define ISWALNUM(c) iswalnum(c)
#define ISWALPHA(c) iswalpha(c)
#define ISWBLANK(c) iswspace(c)
#define ISWCNTRL(c) iswcntrl(c)
#define ISWDIGIT(c) iswdigit(c)
#define ISWGRAPH(c) iswgraph(c)
#define ISWLOWER(c) iswlower(c)
#define ISWPRINT(c) iswprint(c)
#define ISWPUNCT(c) iswpunct(c)
#define ISWSPACE(c) iswspace(c)
#define ISWUPPER(c) iswupper(c)
#define ISWXDIGIT(c) iswxdigit(c)
#endif

#ifdef DEBUG
#ifdef DEBUGPRINT
#include <stdio.h>
#define DPRINTF(x) printf x
#else
#define DPRINTF(x)
#endif
#include <assert.h>
#define ASSERT(x) assert(x)
#else
#define DPRINTF(x)
#define ASSERT(x)
#endif

#include <string.h>
#define MEMCPY(dest,src,len) memcpy((dest),(src),(len))
#define MEMSET(dest,ch,len)  memset((dest),(ch),(len))

#endif
